Subject: Re: bug#3771: 23.0.95; Tramp file error

From: Michael Albinus <[email-masked]>
Date: Tue, 07 Jul 2009 08:02:55 +0200

[email-masked] (Eythan Weg) writes:

> Start emacs -Q. On being user weg I use tramp to access on 
> localhost  the file 
> -rw-r--r--  1 laura laura        6 2009-07-05 09:31 test3.txt
> in /tmp.
>
>
> edit and save.  *Messages* has these lines:
>
> Saving file /scp:laura@localhost:/tmp/test3.txt...
> Wrote /scp:laura@localhost:/tmp/test3.txt
> File error: Error while changing file's mode /scp:laura@localhost:/tmp/test3.txt
>
> The file is updated under my ownership.
>
> -rw-r--r--  1 weg   weg         27 2009-07-05 09:32 test3.txt
>
> The backup file renamed properly: 
> -rw-r--r--  1 laura laura        6 2009-07-05 09:31 test3.txt~
>
> When  tramp access a remote system in an analogous situation there 
> is no problem.  I have a copy of the  tramp debug buffer saved if needed.

[...]

> In GNU Emacs 23.0.95.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.16.1)
>  of 2009-06-19 on gauss

Last days I have fixed some few bugs in `tramp-do-copy-or-rename-file-directly',
which does the work in your case. Could you, please, check with a fresh
built, whether the problem still happens?

Best regards, Michael.